Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing
Class SwingBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              groovy.util.FactoryBuilderSupport
                  groovy.swing.SwingBuilder

    class SwingBuilder
    extends FactoryBuilderSupport

A helper class for creating Swing widgets using GroovyMarkup

author:
  James Strachan

version:
  $Revision: 17103 $

Field Summary

Fields inherited from class FactoryBuilderSupport
attributeDelegates, autoRegistrationComplete, autoRegistrationRunning, explicitMethods, explicitProperties, postInstantiateDelegates, postNodeCompletionDelegates, preInstantiateDelegates, registrationGroup, registrationGroupName

Property Summary
`static String` | `DEFAULT_DELEGATE_PROPERTY_OBJECT_ID`
`static String` | `DELEGATE_PROPERTY_OBJECT_ID`

Constructor Summary
`SwingBuilder(boolean init = true)`

Method Summary
`static SwingBuilder` | `$static_methodMissing(String method, Object args)` Old factory method static SwingBuilder.build(Closure).
`Object` | `build(Closure c)` Compatibility API.
`static def` | `clientPropertyAttributeDelegate(def builder, def node, def attributes)`
`void` | `createKeyStrokeAction(Map attributes, JComponent component = null )`
`SwingBuilder` | `doLater(Closure c)` Utility method to run a closure in EDT, using `SwingUtilities.invokeLater.`
`SwingBuilder` | `doOutside(Closure c)` Utility method to run a closure outside of the EDT.
`SwingBuilder` | `edt(Closure c)` Utilitiy method to run a closure in EDT, using `SwingUtilities.invokeAndWait.`
`static SwingBuilder` | `edtBuilder(Closure c)` Factory method to create a SwingBuilder, and run the the closure in it on the EDT
`static LookAndFeel` | `lookAndFeel(Object laf, Closure initCode)`
`static LookAndFeel` | `lookAndFeel(Map attributes = [:], Object laf = null, Closure initCode = null)`
`static LookAndFeel` | `lookAndFeel(Object lafs)`
`static def` | `objectIDAttributeDelegate(def builder, def node, def attributes)`
`def` | `registerActionButtonWidgets()`
`def` | `registerBasicLayouts()`
`def` | `registerBasicWidgets()`
`void` | `registerBeanFactory(String nodeName, String groupName, Class klass)` Do some overrides for standard component handlers, else use super
`def` | `registerBinding()`
`def` | `registerBorders()`
`def` | `registerBoxLayout()`
`def` | `registerContainers()`
`def` | `registerDataModels()`
`def` | `registerMDIWidgets()`
`def` | `registerMenuWidgets()`
`def` | `registerPassThruNodes()`
`def` | `registerRenderers()`
`def` | `registerSupportNodes()`
`def` | `registerTableComponents()`
`def` | `registerTableLayout()`
`def` | `registerTextWidgets()`
`def` | `registerThreading()`
`def` | `registerWindows()`
`KeyStroke` | `shortcut(def key, def modifier = 0)`
`KeyStroke` | `shortcut(String key, def modifier = 0)`

Methods inherited from class FactoryBuilderSupport
addAttributeDelegate, addDisposalClosure, addPostInstantiateDelegate, addPostNodeCompletionDelegate, addPreInstantiateDelegate, autoRegisterNodes, build, build, build, checkExplicitMethod, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, createNode, dispathNodeCall, dispose, getAttributeDelegates, getChildBuilder, getContext, getContextAttribute, getContexts, getContinuationData, getCurrent, getCurrentBuilder, getCurrentFactory, getCurrentName, getExplicitMethods, getExplicitProperties, getFactories, getLocalExplicitMethods, getLocalExplicitProperties, getLocalFactories, getName, getNameMappingClosure, getParentContext, getParentFactory, getParentName, getParentNode, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getPreInstantiateDelegates, getProperty, getProxyBuilder, getRegistrationGroupItems, getRegistrationGroups, getVariable, getVariables, handleNodeAttributes, invokeMethod, invokeMethod, newContext, nodeCompleted, popContext, postInstantiate, postNodeCompletion, preInstantiate, registerBeanFactory, registerBeanFactory, registerExplicitMethod, registerExplicitMethod, registerExplicitProperty, registerExplicitProperty, registerFactory, registerFactory, removeAttributeDelegate, removePostInstantiateDelegate, removePostNodeCompletionDelegate, removePreInstantiateDelegate, reset, resolveExplicitMethod, resolveExplicitProperty, resolveFactory, restoreFromContinuationData, setClosureDelegate, setNameMappingClosure, setNodeAttributes, setParent, setProperty, setProxyBuilder, setVariable, withBuilder, withBuilder, withBuilder

Methods inherited from class Binding
getProperty, getVariable, getVariables, setProperty, setVariable

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### DEFAULT_DELEGATE_PROPERTY_OBJECT_ID

    public static final String DEFAULT_DELEGATE_PROPERTY_OBJECT_ID

### DELEGATE_PROPERTY_OBJECT_ID

    public static final String DELEGATE_PROPERTY_OBJECT_ID

Constructor Detail

### SwingBuilder

    public SwingBuilder(boolean init = true)

Method Detail

### $static_methodMissing

    @Deprecated
    public static SwingBuilder $static_methodMissing(String method, Object args)

  Old factory method static SwingBuilder.build(Closure).
  param:
    c run this closure in the builder using the edt method

### build

    public Object build(Closure c)

  Compatibility API.
  param:
    c run this closure in the builder

### clientPropertyAttributeDelegate

    public static def clientPropertyAttributeDelegate(def builder, def node, def attributes)

### createKeyStrokeAction

    public void createKeyStrokeAction(Map attributes, JComponent component = null )

### doLater

    public SwingBuilder doLater(Closure c)

  Utility method to run a closure in EDT, using `SwingUtilities.invokeLater.
  param:
    c this closure is run in the EDT
  `

### doOutside

    public SwingBuilder doOutside(Closure c)

  Utility method to run a closure outside of the EDT.

  The closure is wrapped in a thread, and the thread is started immediatly, only if the current thread is the EDT, otherwise the closure will be called immediatly.

  param:
    c this closure is started outside of the EDT

### edt

    public SwingBuilder edt(Closure c)

  Utilitiy method to run a closure in EDT, using `SwingUtilities.invokeAndWait.
  param:
    c this closure is run in the EDT
  `

### edtBuilder

    public static SwingBuilder edtBuilder(Closure c)

  Factory method to create a SwingBuilder, and run the the closure in it on the EDT
  param:
    c run this closure in the new builder using the edt method

### lookAndFeel

    public static LookAndFeel lookAndFeel(Object laf, Closure initCode)

### lookAndFeel

    public static LookAndFeel lookAndFeel(Map attributes = [:], Object laf = null, Closure initCode = null)

### lookAndFeel

    public static LookAndFeel lookAndFeel(Object lafs)

### objectIDAttributeDelegate

    public static def objectIDAttributeDelegate(def builder, def node, def attributes)

### registerActionButtonWidgets

    public def registerActionButtonWidgets()

### registerBasicLayouts

    public def registerBasicLayouts()

### registerBasicWidgets

    public def registerBasicWidgets()

### registerBeanFactory

    public void registerBeanFactory(String nodeName, String groupName, Class klass)

  Do some overrides for standard component handlers, else use super

### registerBinding

    public def registerBinding()

### registerBorders

    public def registerBorders()

### registerBoxLayout

    public def registerBoxLayout()

### registerContainers

    public def registerContainers()

### registerDataModels

    public def registerDataModels()

### registerMDIWidgets

    public def registerMDIWidgets()

### registerMenuWidgets

    public def registerMenuWidgets()

### registerPassThruNodes

    public def registerPassThruNodes()

### registerRenderers

    public def registerRenderers()

### registerSupportNodes

    public def registerSupportNodes()

### registerTableComponents

    public def registerTableComponents()

### registerTableLayout

    public def registerTableLayout()

### registerTextWidgets

    public def registerTextWidgets()

### registerThreading

    public def registerThreading()

### registerWindows

    public def registerWindows()

### shortcut

    public KeyStroke shortcut(def key, def modifier = 0)

### shortcut

    public KeyStroke shortcut(String key, def modifier = 0)

Copyright © 2003-2009 The Codehaus. All rights reserved.